package com.huimv.env.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.admin.common.utils.Result;
import com.huimv.env.admin.entity.Group;


import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public interface IGroupService extends IService<Group> {

    Result updateGroup(Group group);

    Result removeGroup(Integer groupId);

    Result listGroup(Map map, List<Integer> allChildId);

    Result addGroup(Group group, Integer userId);

    Result getGroupByUserId(Integer userId);
}
